<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/dialogbj"
    android:id="@+id/root"
    >

    <RelativeLayout
        android:layout_marginStart="50dp"
        android:layout_marginEnd="50dp"
        android:layout_width="match_parent"
        android:layout_height="500dp"
        android:layout_centerInParent="true"
        android:background="@drawable/common_bg_with_radius_and_border">

        <Button
            android:id="@+id/close_from"
            android:layout_width="100dp"
            android:layout_height="100dp"
            android:layout_alignParentRight="true"
            android:layout_alignParentTop="true"
            android:layout_marginRight="@dimen/dp_10"
            android:layout_marginTop="@dimen/dp_10"
            android:background="@mipmap/close_image"
            android:textSize="14dp"
            android:textColor="@color/white"/>

        <!--菜谱名称行-->
        <LinearLayout
            android:layout_centerInParent="true"
            android:layout_marginStart="30dp"
            android:layout_marginEnd="30dp"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">
            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical">
                <RelativeLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@color/color1">

                    <ImageView
                        android:id="@+id/image"
                        android:layout_width="200dp"
                        android:layout_height="200dp"
                        android:layout_marginStart="3dp"
                        android:layout_marginTop="3dp"
                        android:layout_marginEnd="3dp"
                        android:layout_marginBottom="3dp"
                        android:src="@mipmap/loading3" />
                </RelativeLayout>
                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:textAlignment="center"
                    android:text="更换商品封面"
                    android:textSize="32sp"/>
            </LinearLayout>

            <LinearLayout
                android:layout_marginStart="@dimen/dp_40"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">
                <LinearLayout
                    android:layout_marginTop="@dimen/dp_10"
                    android:layout_marginBottom="12dp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="商品名称："
                        android:focusable="true"
                        android:focusableInTouchMode="true"
                        android:textSize="32sp">
                        <requestFocus/>
                    </TextView>
                    <!--账号输入框-->
                    <EditText
                        android:id="@+id/edittext_name"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="5dp"
                        android:background="@drawable/input_bj"
                        android:hint="请输入"
                        android:inputType="text"
                        android:maxLines="1"
                        android:maxLength="30"
                        android:padding="3dp"
                        android:textSize="32sp" />
                </LinearLayout>

                <LinearLayout
                    android:layout_marginBottom="12dp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="商品外键："
                        android:textSize="32sp"/>
                    <!--账号输入框-->
                    <EditText
                        android:id="@+id/edittext_fk"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="5dp"
                        android:background="@drawable/input_bj"
                        android:hint="请输入"
                        android:inputType="text"
                        android:maxLines="1"
                        android:padding="3dp"
                        android:textSize="32sp" />
                </LinearLayout>

                <LinearLayout
                    android:layout_marginBottom="12dp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="商品分类："
                        android:gravity="center_vertical"
                        android:layout_gravity="center_vertical"
                        android:textSize="32sp"/>
                    <!--账号输入框-->
                    <Spinner
                        android:id="@+id/spinner"
                        style="@style/commonSpinnerStyle"
                        android:layout_width="match_parent"
                        android:layout_height="70dp"
                        android:layout_centerVertical="true"
                        android:textSize="32sp"/>
                </LinearLayout>

            </LinearLayout>
        </LinearLayout>

        <Button
            android:id="@+id/save"
            android:layout_width="300dp"
            android:layout_height="70dp"
            android:layout_marginBottom="10dp"
            android:layout_alignParentBottom="true"
            android:layout_centerHorizontal="true"
            android:background="@drawable/bg_btn_login_selected"
            android:text="保存"
            android:textColor="@color/white"
            android:textSize="36sp"/>
    </RelativeLayout>
</RelativeLayout>